spark-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Apache Spark (Jira)" <j...@apache.org>
Subject [jira] [Commented] (SPARK-31582) Being able to not populate Hadoop classpath
Date Fri, 01 May 2020 18:27:00 GMT

    [ https://issues.apache.org/jira/browse/SPARK-31582?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17097580#comment-17097580
] 

Apache Spark commented on SPARK-31582:
--------------------------------------

User 'dbtsai' has created a pull request for this issue:
https://github.com/apache/spark/pull/28376

> Being able to not populate Hadoop classpath
> -------------------------------------------
>
>                 Key: SPARK-31582
>                 URL: https://issues.apache.org/jira/browse/SPARK-31582
>             Project: Spark
>          Issue Type: New Feature
>          Components: YARN
>    Affects Versions: 2.4.5
>            Reporter: DB Tsai
>            Assignee: DB Tsai
>            Priority: Major
>             Fix For: 2.4.6, 3.0.0
>
>
> Spark Yarn client will populate hadoop classpath from `yarn.application.classpath` and
``mapreduce.application.classpath`. However, for Spark with embedded hadoop build, it will
result jar conflicts because spark distribution can contain different version of hadoop jars.
> We are adding a new Yarn configuration to not populate hadoop classpath from  `yarn.application.classpath`
and ``mapreduce.application.classpath`.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@spark.apache.org
For additional commands, e-mail: issues-help@spark.apache.org


Mime
View raw message